<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$vend_id=$_GET["id"];
$sql=mysqli_query($con,"SELECT * from venta_detalle where vend_id='$vend_id'");
$row=mysqli_fetch_array($sql);
$vend_cantidad_dev=$row['vend_cantidad_dev'];
?>
<div id="resul_devo"></div>
<div id="vetana_cantidad">
    <form method="post" action="" id="devolucion_fac" name="devolucion_fac">
        <div class="form-group">
            <label>Cantidad Permitiva</label>
            <input type="text"  name="vend_cantidad_dev" value="<?php echo$row['vend_cantidad_dev'];?>" class="form-control name_list" readonly>
            <label>Cantidad a Devolver</label>
            <input type="number" id="cantidad" name="cantidad" value="1" class="form-control name_list" autocomplete="off" required  max="<?php echo $vend_cantidad_dev;?>" step="any">
            <input type="hidden" name="vend_id" value="<?php echo $vend_id;?>" class="form-control name_list" >
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            <button type="submit" name="btn_devolucion" class="btn btn-danger" id="btn_devolucion">Aceptar</button>
        </div>
    </form>
</div>
<script>
$("#devolucion_fac").submit(function( event ) {
$('#btn_devolucion').attr("disabled", true);
$('#vetana_cantidad').hide(); 
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_pos/seleccionar_serial.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resul_devo').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resul_devo").html(datos);
        $('#btn_devolucion').attr("disabled", false);
      }
  });
  event.preventDefault();
})
</script>